Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.viewers
Interface ITableLabelProvider

All Superinterfaces:
  IBaseLabelProvider

All Known Implementing Classes:
  EnvironmentTab.EnvironmentVariableLabelProvider, FileEditorMappingLabelProvider, PerspectiveLabelProvider, WorkbenchPartLabelProvider

public interface ITableLabelProvider
extends IBaseLabelProvider

Extends `IBaseLabelProvider` with the methods to provide the text and/or image for each column of a given element. Used by table viewers.

See Also:
  `TableViewer`

Method Summary
`Image` | `getColumnImage(Object element, int columnIndex)` Returns the label image for the given column of the given element.
`String` | `getColumnText(Object element, int columnIndex)` Returns the label text for the given column of the given element.

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Method Detail

### getColumnImage

    public Image getColumnImage(Object element,
                                int columnIndex)

  Returns the label image for the given column of the given element.

  Parameters:
    `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
    `columnIndex` - the zero-based index of the column in which the label appears

### getColumnText

    public String getColumnText(Object element,
                                int columnIndex)

  Returns the label text for the given column of the given element.

  Parameters:
    `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
    `columnIndex` - the zero-based index of the column in which the label appears

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.